Rails.application.config.to_prepare do
  Hyrax::Transactions::Steps::SaveCollectionBanner.class_eval do
    private

    def remove_banner(collection_id:)
      banner_info = CollectionBrandingInfo.where(collection_id: collection_id).where(role: "banner")
      banner_info&.each(&:delete)
    end
  end
end
