class S3PathGenerator
  def initialize(base_path: nil); end

  # @return [String]
  def generate(resource:, file:, original_filename:)

    case resource
    when Hyrax::FileSet
      if resource.title.any?
        resource.object_key_on_s3
      else
        resource.object_key_on_s3 + original_filename
      end
    else
      resource.id.to_s + "/" + original_filename
    end
  end
end